/*  
 *    xy_dual_stellaris
 *   ==================
 *    Uwe Berger; 2013
 * 
 * 
 * 4 Punkte mit den Logikpegeln 0 und 1 auf einem 
 * Oszi (x- und y-Richtung einzeln ansteuerbar)
 * darstellen. Also so:
 * 
 * 	0,1 <-. 1,1
 *   |       ^
 *   V       |
 *  0,0 --> 1,0
 * 
 * 
 * ---------
 * Have fun!
 *  
 */
 
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "driverlib/gpio.h"
#include "driverlib/sysctl.h"
     
#define XY_PORT_BASE		GPIO_PORTB_BASE
#define XY_SYSCTL_PERIPH	SYSCTL_PERIPH_GPIOB
#define PIN_XOUT	 		GPIO_PIN_0
#define PIN_YOUT 			GPIO_PIN_1

#define DELAY				100
     
int main()
{
	SysCtlPeripheralEnable(XY_SYSCTL_PERIPH);
	GPIOPinTypeGPIOOutput(XY_PORT_BASE, PIN_XOUT|PIN_YOUT);
	while (1) {
		GPIOPinWrite(XY_PORT_BASE, PIN_XOUT|PIN_YOUT, 0);					// 0,0
		SysCtlDelay(DELAY);
		GPIOPinWrite(XY_PORT_BASE, PIN_XOUT|PIN_YOUT, PIN_XOUT);			// 1,0
		SysCtlDelay(DELAY);
		GPIOPinWrite(XY_PORT_BASE, PIN_XOUT|PIN_YOUT, PIN_XOUT|PIN_YOUT);	// 1,1
		SysCtlDelay(DELAY);
		GPIOPinWrite(XY_PORT_BASE, PIN_XOUT|PIN_YOUT, PIN_YOUT);			// 0,1
		SysCtlDelay(DELAY);
	}
}
